.all-sections {
    width: 100%;
    padding-block: 20px;
}

.all-section-colored-bg {
    background-color: var(--bg-1);

}

.all-section-colored-bg:hover .position-carousel-btn {
    transform: translateX(0px);
}

.all-categories-with-products-carousels {
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.carousel-title {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: stretch;
    width: 100%;
    border-bottom: 2px solid var(--text-4);
    position: relative;
}

.carousel-title h2 {
    width: fit-content;
    color: var(--text);
    font-size: 22px;
    padding: 0px 10px 5px 10px;
    border-bottom: 2px solid var(--secondaryColor);
    margin-bottom: -2px;
}

.carousel-container {
    margin: 0 auto;
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.carousel-wrapper {
    overflow: hidden;
    padding: 0 10px;
    width: 95%;
    margin: 0% auto;
}

.carousel-track {
    display: flex;
    gap: 20px;
    list-style: none;
    padding: 0;
    margin: 0;
    transition: transform 0.3s ease-in-out;
}

.card {
    background-color: var(--white);
    margin-left: 10px;
    flex-shrink: 0;
    cursor: pointer;
    overflow: hidden;
    transition: transform 0.2s ease-out, box-shadow 0.2s ease-out;
    position: relative;
}

/* body.dark-theme .card {
    background-color: var(--bg-1);
  
} */
.card a {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.card:hover {
    transform: scale(0.98);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
}

.card .product-options-buttons {
    opacity: 1;
}

@media (max-width: 767px) {
    .card {
        width: calc((100% / 1.25) - 10px);
    }
}


@media (min-width: 768px) and (max-width: 1023px) {

    .card {
        width: calc((100% / 2.5) - 10px);
    }
}


@media (min-width: 1024px) {
    .card {
        width: calc((100% / 3.25) - 10px);
    }
}

@media (min-width: 1400px) {
    .card {
        width: calc((100% / 5.25) - 10px);
    }
}

/* --- CARD DETAILS --- */
.card-image-main {
    /* padding-bottom: 8%; */
    position: relative;
    overflow: hidden;
    height: 100%;
    width: 100%;
}

.card-image-main img {
    transition: transform 0.5s ease-out;
    width: 100%;
    aspect-ratio: 1 / 1;
    /* max-height: 350px;
    min-height: 350px; */
    object-fit: fill;
    position: relative;
}

.card:hover .card-image-main img {
    transform: scale(1.2);
}

.card-content {
    padding: 0px 15px;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.card-title {
    font-size: 16px;
    font-weight: bold;
    margin: 0 0 5px 0;
    color: var(--text-1);
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}


.products-amount {
    font-size: 13px;
    color: var(--text-4);
    margin-top: 5px;
    display: flex;
    align-items: center;
}

.btn-wrapper {
    position: relative;
    flex: 1 1 auto;
    padding-bottom: 5px;
}

.carousel-btn-container {
    position: absolute;
    left: 0%;
    top: 0px;
    height: fit-content;
    transform: translate(0%);
    display: flex;
    align-items: center;
    justify-content: center;
}

.top-prev-next-container {
    display: flex;
    flex-direction: row;
    gap: 8px;
}

.carousel-btn {
    background-color: transparent;
    border: none;
    color: var(--text);
    width: 35px;
    height: 35px;
    font-size: 14px;
    cursor: pointer;
    transition: background-color 0.2s, opacity 0.2s, transform 0.1s;
    display: flex;
    justify-content: center;
    align-items: center;
}

.carousel-btn:hover:not(.disabled) {
    transform: translateY(-1px);
}


.carousel-btn.disabled {
    opacity: 0.5;
    pointer-events: none;
    cursor: not-allowed;
}



.prev.disabled i {
    color: #999;
}

.position-carousel-btn {

    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    transition: transform 0.8s ease-in-out;
}

.position-carousel-btn.prev {
    right: 0px;
    transform: translateX(700px);
}

.position-carousel-btn.next {
    left: 0px;
    transform: translateX(-700px);
}

.product-details.more-gap {
    gap: 25px;
}

@media (max-width:1024px) {

    .all-sections {
        padding-inline: 20px;
    }

    .carousel-title {
        flex-direction: column;
    }

    .btn-wrapper {
        margin-top: 12px;
    }

    .position-carousel-btn {
        z-index: 1;
    }

    .position-carousel-btn.prev {
        right: 0px;
        transform: translateX(0px);
    }

    .position-carousel-btn.next {
        left: -15px;
        transform: translateX(0px);
    }

    .carousel-wrapper {
        width: 90%;
        margin: 0% auto;
    }

    .all-categories-with-products-carousels {
        gap: 30px;
    }
}